{% extends "header.html" %}

{% block body %}

<div role="tabpanel">

  <!-- Nav tabs -->
  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#basics" aria-controls="basics" role="tab" data-toggle="tab">Orders Table</a></li>
    <li role="presentation"><a href="#aisles" aria-controls="wdev" role="tab" data-toggle="tab">Aisles Table</a></li>
    <li role="presentation"><a href="#dep" aria-controls="dan" role="tab" data-toggle="tab">Department Table</a></li>
    <li role="presentation"><a href="#prod" aria-controls="dan" role="tab" data-toggle="tab">Products Table</a></li>
      <li role="presentation"><a href="#prior" aria-controls="dan" role="tab" data-toggle="tab">Order Products Prior Table</a></li>
      <li role="presentation"><a href="#train" aria-controls="dan" role="tab" data-toggle="tab">Order Products Train Table</a></li>

  </ul>

  <!-- Tab panes -->
<div class="tab-content">
  <div role="tabpanel" class="tab-pane fade in active" id="basics">
	<p>
        <a href="{{ url_for('display',table_name='orders',num_of_records=30) }}"><button type="button" class="btn btn-primary" aria-label="Left Align" style="margin-top: 5px; margin-bottom: 5px; height: 44px; margin-right: 15px">
		  <span class="glyphicon glyphicon-search" aria-hidden="true"></span> View Table
		</button></a>
        <img src="{{ url_for('plot_count_of_orders') }}" alt="Image Placeholder" height="400">
        <p></p>

      <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal">View Frequency of Orders</button>
        <!-- Modal -->
  <div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Frequency of Orders</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_frequency_of_order') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>

          <br><br>
    <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal1">View Heatmap of order frequency</button>

  <!-- Modal -->
  <div class="modal fade" id="myModal1" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Heatmap of order frequency</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_heat_map_of_frequency') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>


              <br><br>
    <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal1000">View days since prior order</button>

  <!-- Modal -->
  <div class="modal fade" id="myModal1000" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Days since prior order</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_days_since_prior_order') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>

	</ul>
  </div>



      <!-- Tab panes -->
  <div role="tabpanel" class="tab-pane fade" id="aisles">
	<ul>
        <a href="{{ url_for('display',table_name='aisles',num_of_records=30) }}"><button type="button" class="btn btn-primary" aria-label="Left Align" style="margin-top: 5px; margin-bottom: 5px; height: 44px; margin-right: 15px">
		  <span class="glyphicon glyphicon-search" aria-hidden="true"></span> View Table
		</button></a>
        <img src="{{ url_for('plot_add_to_cart_order') }}" alt="Image Placeholder" height="400">

                <p></p>

      <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal3">View Aisales ratio</button>
        <!-- Modal -->
  <div class="modal fade" id="myModal3" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Aisales ratio</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_aisles_ratio') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>

          <br><br>
    <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal4">View Aisales over departament</button>

  <!-- Modal -->
  <div class="modal fade" id="myModal4" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Aisales over departament</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_aisales_over_departement') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>


	</ul>
  </div>

          <!-- Tab panes -->
  <div role="tabpanel" class="tab-pane fade" id="dep">
	<ul>
        <a href="{{ url_for('display',table_name='department',num_of_records=30) }}"><button type="button" class="btn btn-primary" aria-label="Left Align" style="margin-top: 5px; margin-bottom: 5px; height: 44px; margin-right: 15px">
		  <span class="glyphicon glyphicon-search" aria-hidden="true"></span> View Table
		</button></a>
        <img src="{{ url_for('plot_department_distribution') }}" alt="Image Placeholder" height="400">

                        <p></p>

      <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal5">View Department wise reorder ratio</button>
        <!-- Modal -->
  <div class="modal fade" id="myModal5" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Department wise reorder ratio</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_department_wise_order_ratio') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>

          <br><br>
    <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal6">View Best selling department</button>

  <!-- Modal -->
  <div class="modal fade" id="myModal6" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Best selling department</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_best_selling_departement') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>


	</ul>
  </div>

          <!-- Tab panes -->
  <div role="tabpanel" class="tab-pane fade" id="prod">
	<ul>
        <a href="{{ url_for('display',table_name='products',num_of_records=30) }}"><button type="button" class="btn btn-primary" aria-label="Left Align" style="margin-top: 5px; margin-bottom: 5px; height: 44px; margin-right: 15px">
		  <span class="glyphicon glyphicon-search" aria-hidden="true"></span> View Table
		</button></a>
        <img src="{{ url_for('plot_unique_count') }}" alt="Image Placeholder" height="400">

                        <p></p>

      <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal7">View Most ordered products</button>
        <!-- Modal -->
  <div class="modal fade" id="myModal7" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Most ordered products</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_most_ordered_product') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>

          <br><br>
    <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal8">View Frequency of Orders</button>

  <!-- Modal -->
  <div class="modal fade" id="myModal8" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Count of Orders</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_frequency_of_order') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>

	</ul>
  </div>


          <!-- Tab panes -->
  <div role="tabpanel" class="tab-pane fade" id="prior">
	<ul>
        <a href="{{ url_for('display',table_name='order_products__prior',num_of_records=30) }}"><button type="button" class="btn btn-primary" aria-label="Left Align" style="margin-top: 5px; margin-bottom: 5px; height: 44px; margin-right: 15px">
		  <span class="glyphicon glyphicon-search" aria-hidden="true"></span> View Table
		</button></a>
        <img src="{{ url_for('plot_product_occurance') }}" alt="Image Placeholder" height="400">

                        <p></p>

      <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal9">View Hours of order in a day</button>
        <!-- Modal -->
  <div class="modal fade" id="myModal9" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Hours of order in a day</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_hours_of_order_in_day') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>

          <br><br>
    <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal10">View Period of reorder</button>

  <!-- Modal -->
  <div class="modal fade" id="myModal10" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Period of reorder</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_period_of_reorder') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>


	</ul>
  </div>


              <!-- Tab panes -->
  <div role="tabpanel" class="tab-pane fade" id="train">
	<ul>
        <a href="{{ url_for('display',table_name='order_products__train',num_of_records=30) }}"><button type="button" class="btn btn-primary" aria-label="Left Align" style="margin-top: 5px; margin-bottom: 5px; height: 44px; margin-right: 15px">
		  <span class="glyphicon glyphicon-search" aria-hidden="true"></span> View Table
		</button></a>
        <img src="{{ url_for('plot_no_of_products_in_given_order') }}" alt="Image Placeholder" height="400">

                        <p></p>

      <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal11">View Order across day of week</button>
        <!-- Modal -->
  <div class="modal fade" id="myModal11" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Order across day of week</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_order_ratio_across_day_of_week') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>

          <br><br>
    <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal12">Order ratio week vs hour</button>

  <!-- Modal -->
  <div class="modal fade" id="myModal12" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Order ratio week vs hour</h4>
        </div>
        <div class="modal-body">
          <img src="{{ url_for('plot_order_ratio_of_week_vs_hour') }}" style="width:850px;"/>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>

	</ul>
  </div>
</div>

</div>

</div>

</div>

{% endblock %}